matchMedium

< css‎ | media queries‎ | apis
Jump to: navigation, search

matchMedium



Summary

Indicates whether the document currently matches a media query.

Method of css/media_queries/apis/StyleMedia

Syntax

var matchesMedia = window.styleMedia.matchMedium(mediaQuery);

Parameters

mediaQuery

Data-type: String


The media query to match.

Return Value

Returns an object of type Boolean.

Needs Examples: This section should include examples.

Notes

The mediaQuery parameter can contain a string that specifies a media type, an optional well-formed Cascading Style Sheets (CSS) media query, or both. For more information on Media Queries, see Media Queries.


Compatibility

Desktop

Feature Chrome Firefox (Gecko) Internet Explorer Opera Safari
Basic support ? ? ? ? ?

Mobile

Feature Android BlackBerry Chrome for mobile Firefox Mobile (Gecko) IE Mobile Opera Mobile Opera Mini Safari Mobile
Basic support ? ? ? ? ? ? ? ?

See also

Related articles

CSSOM


















































Media Queries









  • matchMedium













Related pages (MSDN)

This article contains content originally from external sources.

Portions of this content come from the Microsoft Developer Network: [Windows Internet Explorer API reference Article]